| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iEventTimer Struct Reference

A timer. More...

`#include <iutil/timer.h>`

Inheritance diagram for iEventTimer:

[legend]
List of all members.

## Public Member Functions
virtual void | AddTimerEvent (iTimerEvent *ev, csTicks delay)=0
| Add a timer event to be scheduled later.
virtual size_t | GetEventCount () const =0
| Query the number of events still in the queue.
virtual csTicks | GetTimeLeft (size_t idx) const =0
| Query the number of ticks before the specified event fires.
virtual void | RemoveAllTimerEvents ()=0
| Clear all timer events.
virtual void | RemoveTimerEvent (iTimerEvent *ev)=0
| Remove a timer event.

## Detailed Description

A timer.

You can add operations to it and they will be performed at the dedicated time.

Definition at line 47 of file timer.h.

## Member Function Documentation

virtual void iEventTimer::AddTimerEvent | ( | iTimerEvent * | ev,
|  | csTicks | delay |
| ) |  |  | `[pure virtual]`

Add a timer event to be scheduled later.

Implemented in csEventTimer.

virtual size_t iEventTimer::GetEventCount | ( |  | ) | const`[pure virtual]`

Query the number of events still in the queue.

Implemented in csEventTimer.

virtual csTicks iEventTimer::GetTimeLeft | ( | size_t | idx | ) | const`[pure virtual]`

Query the number of ticks before the specified event fires.

Implemented in csEventTimer.

virtual void iEventTimer::RemoveAllTimerEvents | ( |  | ) | `[pure virtual]`

Clear all timer events.

Implemented in csEventTimer.

virtual void iEventTimer::RemoveTimerEvent | ( | iTimerEvent * | ev | ) | `[pure virtual]`

Remove a timer event.

Implemented in csEventTimer.

The documentation for this struct was generated from the following file:

- iutil/timer.h